/**
 * @file index
 * @author Cuttle Cong
 * @date 2018/3/25
 * @description
 */
import { TreeProcessor, Tree, State, AwaitEventEmitter, Logger } from '../../types/core';
export default class FileProcessor extends TreeProcessor {
    tree: Tree;
    dest?: string;
    emitter?: AwaitEventEmitter;
    logger: Logger;
    constructor(tree: Tree, dest?: string, emitter?: AwaitEventEmitter);
    writeToFile(filepath?: string, option?: {
        clean?: boolean;
        overwrite?: boolean;
    }): Promise<boolean>;
    get(name: string): State;
    match(m: string | string[]): string[];
    delete(paths: string | string[]): State | State[];
    remove(m?: string | string[]): void;
    private _move;
    private _copy;
    move(m: string | string[], dest: string): FileProcessor;
    copy(m: string | string[], dest: string): FileProcessor;
    private _moveOrCopy;
    new(path: string, file: State): FileProcessor;
}
