"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @file constant
 * @author Cuttle Cong
 * @date 2018/3/24
 * @description
 */
const nps = require("path");
const yarnInstall = require('../lib/yarnInstall');
const fs = require('fs');
const parseGitConfig = require('@moyuyc/parse-git-config');
const gitConfigPath = require('git-config-path');
const findUp = require('find-up');
function gitUserInfo() {
    const gitPath = findUp.sync('.git');
    let localGitConfig = null;
    if (gitPath) {
        const gitConfigPath = nps.join(gitPath, 'config');
        if (fs.existsSync(gitConfigPath)) {
            localGitConfig = parseGitConfig.sync({ path: gitConfigPath });
        }
    }
    return Object.assign({ name: '', email: '' }, parseGitConfig.sync({ path: gitConfigPath('global') }).user, localGitConfig && localGitConfig.user);
}
class Constants {
    constructor() {
        this.DEFAULT_CACHE_DIR = nps.join(__dirname, '../../../.cache/edam');
        this.DEFAULT_CONTEXT = {
            git: gitUserInfo(),
            pm: yarnInstall.getPm({ respectNpm5: true })
        };
    }
}
exports.Constants = Constants;
exports.default = new Constants();
