"use strict";
/**
 * @file mockPrompts
 * @author Cuttle Cong
 * @date 2018/3/28
 * @description
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
function mockPrompts(template, promptValues = {}, config = {}) {
    return __awaiter(this, void 0, void 0, function* () {
        const em = new index_1.Edam({ userc: false, yes: true, storePrompts: false });
        // Compatible with edam@<=2
        if (typeof config === 'string') {
            config = { output: config };
        }
        Object.assign(em.config, config);
        em.once('prompt:after', variables => {
            variables.assign(promptValues);
        });
        return yield em.process(template);
    });
}
exports.default = mockPrompts;
