import { Plugin } from '../core/plugins';
import { LooseEqual, Equal } from 'walli';
import { Matcher } from './TemplateConfig';
export declare const rc: Equal;
export declare const edam: LooseEqual;
export declare type SourceConfig = {
    cacheDir?: string | boolean;
    output?: string;
    plugins?: Array<Plugin>;
    storePrompts?: boolean;
    pull?: {
        npmClient: 'yarn' | 'npm';
        npmClientArgs?: string[];
        git: 'clone' | 'download';
    };
};
export declare type Source = {
    type: 'file' | 'git' | 'npm';
    url: string;
    config?: SourceConfig;
    checkout?: string;
    version?: string;
};
export interface RCOptions extends SourceConfig {
    source?: string | Source;
    alias?: object;
    ['extends']?: string | string[];
    offlineFallback?: boolean;
    debug?: boolean;
    updateNotify?: boolean;
    includes?: Matcher;
    excludes?: Matcher;
}
export interface EdamConfig extends RCOptions {
    name?: string;
    userc?: boolean;
    yes?: boolean;
    silent?: boolean;
}
